# Generated by Django 3.1.1 on 2020-10-06 09:21

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("senate", "0003_auto_20200702_1831"),
    ]

    operations = [
        migrations.AddField(
            model_name="senatehomepage",
            name="candidates_second_round",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="jméno")),
                                (
                                    "district",
                                    wagtail.blocks.CharBlock(label="obvod"),
                                ),
                                (
                                    "info",
                                    wagtail.blocks.CharBlock(label="info o nominaci"),
                                ),
                                (
                                    "phone",
                                    wagtail.blocks.CharBlock(
                                        label="telefon", required=False
                                    ),
                                ),
                                (
                                    "email",
                                    wagtail.blocks.EmailBlock(
                                        label="email", required=False
                                    ),
                                ),
                                (
                                    "web",
                                    wagtail.blocks.URLBlock(
                                        label="web", required=False
                                    ),
                                ),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="fotka"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="kandidáti do 2. kola",
            ),
        ),
    ]
